#pragma once

//#define CINTERFACE 
/*
在c＋＋中以c的方式使用接口时，应当：i->lpVtbl->....，
但是编译器可能会提示lpVtbl不是相应com接口的成员。
这是因为在com头文件中有两种定义方式，即c和c＋＋；这两种方式通过 __cplusplus和CINTERFACE来区分。
*/

#ifndef _VIDEODATA_CALLBACK_
#define _VIDEODATA_CALLBACK_
typedef void(*LPVideoDataRealCallback)(unsigned char* pRgbData, int size, int width, int height, void* pContext);
#endif

// DXGI方式，设置视频回调函数，并开始捕获视频数据
void* DXGI_VideoSourceStartCapture(int left, int top, int width, int height, LPVideoDataRealCallback pCallback, void* pUser);
// 停止视频数据捕获
bool DXGI_VideoSourceStopCapture(void* pSource);



